Thread Rating:
  • 4 Vote(s) - 5 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Get simple 3.3.16 support for php 8.0
#25
(2022-10-03, 05:17:40)Carlos Wrote: @Knobbles, @islander , ...

If you want to stay compatible with PHP < 7, I suggest you use the ternary operator instead of the null coalescing operator...

Like this?
admin/inc/cookie_functions.php
Line: 23
Code:
return setcookie($id, $value, $expire, $cookie_path, isset($cookie_domain)?$cookie_domain:'', $cookie_secure??"", $cookie_httponly);


GS Community Edition with php8.x compatibility, new features and much more!  Support Me


Reply


Messages In This Thread
RE: Get simple 3.3.16 support for php 8.0 - by islander - 2022-10-03, 20:18:09



Users browsing this thread: 3 Guest(s)